## impressive-display 0.3.3

=== Makefile ===
PREFIX  ?= /usr/local
DESTDIR ?=

all: build

build: pdflatex man examples

pdflatex::
	cd data && pdflatex impressive-display.tex && pdflatex impressive-display.tex
	gzip -9 -c -n data/impressive-display.pdf > data/impressive-display.pdf.gz

man::
	gzip -9 -c -n data/impressive-display.1 > data/impressive-display.1.gz

examples::
	ls data/PDF/*.pdf | while read pdffile; do gzip -9 -c -n "$$pdffile" > "$$pdffile.gz"; done


install:
	if [ ! -e data/impressive-display.pdf.gz ]; then \
	    echo "Run 'make build' first, before running 'sudo make install'."; \
	    exit -1; \
	fi

        # script
	mkdir -p $(DESTDIR)$(PREFIX)/bin/
	install -m 0755 bin/impressive-display $(DESTDIR)$(PREFIX)/bin/

	# LaTeX Beamer PDF: Impressive HowTo
	mkdir -p $(DESTDIR)$(PREFIX)/share/doc/impressive-display/
	install -m 0644 data/*.pdf.gz $(DESTDIR)$(PREFIX)/share/doc/impressive-display/

	# man page
	mkdir -p $(DESTDIR)$(PREFIX)/share/man/man1
	install -m 0644 data/*.1.gz $(DESTDIR)$(PREFIX)/share/man/man1/

	# register as available Xsession
	mkdir -p $(DESTDIR)$(PREFIX)/share/xsessions/
	install -m 0644 data/*.desktop $(DESTDIR)$(PREFIX)/share/xsessions/

	# other PDF example files (for testing purposes)
	mkdir -p $(DESTDIR)$(PREFIX)/share/doc/impressive-display/examples/
	install -m 0644 data/PDF/*.pdf $(DESTDIR)$(PREFIX)/share/doc/impressive-display/examples/

clean::
	-rm data/impressive-display.aux \
	    data/impressive-display.log \
	    data/impressive-display.nav \
	    data/impressive-display.out \
	    data/impressive-display.pdf \
	    data/impressive-display.pdf.gz \
	    data/impressive-display.snm \
	    data/impressive-display.toc
	-rm data/impressive-display.1.gz
	-rm data/PDF/*.pdf.gz

.PHONY: man pdflatex examples

## impressive-display 0.2.3

=== debian/changelog ===
impressive-display (0.2.3-2) unstable; urgency=medium

  * debian/control:
    + Add D (impressive-display): curl.
    + Bump Standards: to 3.9.8. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 24 Jun 2016 00:10:00 +0200

impressive-display (0.2.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Add R (impressive-display): bc.
    + Move from R to D (impressive-display): poppler-utils.
  * debian/impressive-display.default:
    + Support configuration of RUSH_HOURS and SLEEP_HOURS.
    + Comment out options that match upstream's defaults.
    + Document the 0 value for the DOWNLOAD_INTERVAL parameter.
    + Add DEBUG_DOWNLOADS variable.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 02 Apr 2016 01:22:17 +0200

impressive-display (0.2.2-2) unstable; urgency=medium

  * debian/control:
     + Point Homepage: field to upstream Git repo, point Vcs-*: fields to Debian
       packaging repo on git.debian.org.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 30 Mar 2016 12:02:26 +0200

impressive-display (0.2.2-1) unstable; urgency=medium

  * Initial release. (Closes: #819502).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 29 Mar 2016 21:22:31 +0200

=== debian/control ===
Source: impressive-display
Section: admin
Priority: extra
Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>
Build-Depends:
 debhelper (>= 9),
 cdbs,
Standards-Version: 3.9.8
Homepage: https://code.it-zukunft-schule.de/cgit/impressive-display/
Vcs-Git: https://anonscm.debian.org/git/debian-edu/pkg-team/impressive-display.git
Vcs-Browser: https://anonscm.debian.org/git/debian-edu/pkg-team/impressive-display.git

Package: impressive-display
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends},
 curl,
 impressive,
 poppler-utils,
 pulseaudio-utils,
 psmisc,
 xinit,
Recommends:
 bc,
 debian-faq,
 matchbox-window-manager,
 pulseaudio,
 texlive-extra-utils,
 unclutter,
 x11-xserver-utils,
 wmctrl,
Suggests:
 nodm,
Description: Impressive based PDF display
 Provide an X11 session manager script that launches a minimal window
 manager and then launches the impressive PDF viewer in fullscreen mode.
 .
 In combination with the nodm display manager you can provide an
 easy-to-setup display screen based on regulary updated PDF files.
 .
 The viewed PDF file can be obtained from a given URL in regular
 intervals. Alternatively (or for testing purposes) you can also
 display a local static PDF file.

## impressive-display 0.3.2

=== debian/changelog ===
impressive-display (0.3.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/impressive-display.default:
    + Drop DEFAULT_PDF_URL_CREDS. Not supported anymore, use a .netrc file
      instead.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 30 Dec 2016 15:39:18 +0100

impressive-display (0.3.1-1) unstable; urgency=medium

  * New upstream release.
    - Documentation fixes.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 21 Nov 2016 20:34:55 +0100

impressive-display (0.3.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    + Use CDBS makefile.mk class for building.
  * debian/*.install:
    + Drop as upstream has Makefile with install rule since 0.3.0.
  * debian/impressive-display.defaults:
    + Update to match new variable setup in impressive-display 0.3.0.
  * debian/control:
    + Add B-D: texlive-latex-extra, texlive-fonts-recommended, lmodern.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 21 Nov 2016 16:18:52 +0100

impressive-display (0.2.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/impressive-display.default:
    + Add LOG_TO_SYSLOG variable.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 17 Oct 2016 16:41:52 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,9 @@
 Build-Depends:
  debhelper (>= 9),
  cdbs,
+ texlive-latex-extra,
+ texlive-fonts-recommended,
+ lmodern,
 Standards-Version: 3.9.8
 Homepage: https://code.it-zukunft-schule.de/cgit/impressive-display/
 Vcs-Git: https://anonscm.debian.org/git/debian-edu/pkg-team/impressive-display.git

=== debian/watch ===
version=3
http://code.it-zukunft-schule.de/cgit/impressive-display/ \
    snapshot/impressive-display-(\d\.\d\.\d)\.tar\.gz

## impressive-display 0.3.3

=== debian/changelog ===
impressive-display (0.3.3-1) unstable; urgency=medium

  * New upstream release.
    - Typo fix in documentation. (Closes: #854940).
  * debian/control:
    + Update Vcs-*: fields. Packaging Git has been migrated to salsa.debian.org.
    + Switch Priority: from extra to optional.
    + Bump DH compat level to version 10 (for now, CDBS does not yet support
      11).
    + Package is now compliant with Standard-Version: 4.2.0.
  * debian/copyright:
    + Use secure URI to obtain copyright format reference.
  * debian/watch:
    + Use secure URL to obtain upstream source tarball.
  * debian/impressive-display.doc-base:
    + Add file.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Aug 2018 21:12:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: impressive-display
 Section: admin
-Priority: extra
+Priority: optional
 Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  cdbs,
  texlive-latex-extra,
  texlive-fonts-recommended,
  lmodern,
-Standards-Version: 3.9.8
+Standards-Version: 4.2.0
 Homepage: https://code.it-zukunft-schule.de/cgit/impressive-display/
-Vcs-Git: https://anonscm.debian.org/git/debian-edu/pkg-team/impressive-display.git
-Vcs-Browser: https://anonscm.debian.org/git/debian-edu/pkg-team/impressive-display.git
+Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/impressive-display.git
+Vcs-Browser: https://salsa.debian.org/debian-edu-pkg-team/impressive-display
 
 Package: impressive-display
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PREFIX=/usr
export DESTDIR=$(DEB_DESTDIR)

include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_MAKE_INSTALL_TARGET=install

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## impressive-display 0.4.1

=== debian/changelog ===
impressive-display (0.4.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace CDBS build with short DH sequencer (Closes: #1115866)
  * Package is now compliant with Standards-Version: 4.7.2

 -- Alexandre Detiste <tchet@debian.org>  Sun, 23 Nov 2025 23:29:35 +0100

impressive-display (0.4.1-1) unstable; urgency=medium

  * New upstream release.
    - Bugfix for portrait PDFs.

 -- Dominik George <natureshadow@debian.org>  Mon, 21 Nov 2022 12:17:52 +0100

impressive-display (0.4.0-1) unstable; urgency=medium

  * New upstream release.
    - Support for file lists.
    - Support for video and image files.
    - Support for current texlive-extra-utils with pdfxup.
  * debian/copyright:
    + Update copyright for upstream source.
  * debian/control:
    + Add myself to Uploaders.

 -- Dominik George <natureshadow@debian.org>  Thu, 17 Nov 2022 14:15:17 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>
 Uploaders:
- Mike Gabriel <sunweaver@debian.org>
+ Mike Gabriel <sunweaver@debian.org>,
+ Dominik George <natureshadow@debian.org>
 Build-Depends:
- debhelper (>= 10),
- cdbs,
+ debhelper-compat (= 13),
  texlive-latex-extra,
  texlive-fonts-recommended,
  lmodern,
-Standards-Version: 4.2.0
+Standards-Version: 4.7.2
 Homepage: https://code.it-zukunft-schule.de/cgit/impressive-display/
 Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/impressive-display.git
 Vcs-Browser: https://salsa.debian.org/debian-edu-pkg-team/impressive-display
@@ -42,7 +42,7 @@
  manager and then launches the impressive PDF viewer in fullscreen mode.
  .
  In combination with the nodm display manager you can provide an
- easy-to-setup display screen based on regulary updated PDF files.
+ easy-to-setup display screen based on regularly updated PDF files.
  .
  The viewed PDF file can be obtained from a given URL in regular
  intervals. Alternatively (or for testing purposes) you can also

=== debian/rules ===
#!/usr/bin/make -f

export PREFIX=/usr
export DESTDIR=$(DEB_DESTDIR)

%:
	dh $@

=== debian/watch ===
version=4
https://code.it-zukunft-schule.de/cgit/impressive-display/ \
    snapshot/impressive-display-(\d\.\d\.\d)\.tar\.gz
